<?xml version="1.0" encoding="utf-8"?>
<layout>
    <data>
        <variable
            name="locationData"
            type="com.aaron.kakao.hospitalmapfortube.data.remote.model.Document" />
    </data>
    <android.support.constraint.ConstraintLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/item_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:paddingTop="15dp"
        android:paddingBottom="15dp">

        <TextView
            android:id="@+id/name_textView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:textStyle="bold"
            android:textSize="18sp"
            tools:text="이름"
            android:text="@{locationData.place_name}" />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@id/name_textView"
            app:layout_constraintStart_toStartOf="@id/name_textView"
            android:layout_marginTop="15dp"
            android:textSize="15sp"
            tools:text="서울특별시"
            android:text='@{locationData.road_address_name.equals("") ? @string/message_empty_address : locationData.road_address_name}' />
    </android.support.constraint.ConstraintLayout>
</layout>